#
# spec file for package info2html
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           info2html
BuildRequires:  apache2-devel
BuildRequires:  libapr-util1-devel
BuildRequires:  pcre-devel
URL:            http://sourceforge.net/projects/info2html/
Provides:       inf2htm
Obsoletes:      inf2htm
Version:        2.0
Release:        lp160.1.1
Summary:        Program to Convert Info Pages into HTML Pages
License:        GPL-2.0-or-later
Group:          Productivity/Publishing/Texinfo
Source0:        info2html-2.0.tar.bz2
Source1:        info2html-rpmlintrc
Source2:        arrows.tar.bz2
Patch0:         info2html-2.0.dif
BuildRequires:  apache-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the CGI script 'info2html' that creates HTML pages
from info documents on demand, to be sent over the HTTP protocol.

Follow references to nodes in info documents to view the corresponding info
files in HTML.


Authors:
--------
    Karl Guggisberg  <guggis@iam.unibe.ch>

%prep
%setup -n info2html-2.0 -a 2
%patch -P 0 -b .p0

%build

%install
install -d -m 0755                $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin
install -c -m 0755 infocat        $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -c -m 0755 info2html      $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -c -m 0644 info2html.conf $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -d -m 0755                $RPM_BUILD_ROOT%{apache_serverroot}/htdocs
install -c -m 0644 info2html.css  $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/
install -d -m 0755                $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif
install -c arrows/l_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/u_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r_hand.gif      $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r-ball.gif      $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/

%files
%defattr(644,root,root,755)
%dir %{apache_serverroot}
%dir %{apache_serverroot}/htdocs
%dir %{apache_serverroot}/htdocs/gif
%dir %{apache_serverroot}/cgi-bin
%attr(755,root,root) %{apache_serverroot}/cgi-bin/infocat
%attr(755,root,root) %{apache_serverroot}/cgi-bin/info2html
%attr(644,root,root) %config %{apache_serverroot}/cgi-bin/info2html.conf
%attr(644,root,root) %config %{apache_serverroot}//htdocs/info2html.css
%{apache_serverroot}/htdocs/gif/l_arrow.gif
%{apache_serverroot}/htdocs/gif/r_arrow.gif
%{apache_serverroot}/htdocs/gif/r_hand.gif
%{apache_serverroot}/htdocs/gif/u_arrow.gif
%{apache_serverroot}/htdocs/gif/r-ball.gif

%changelog
* Sat Sep 28 2024 Thorsten Kukuk <kukuk@suse.com>
- Add /srv/www directories to filelist [bsc#1231027]
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Dec  1 2020 pgajdos@suse.com
- use system apache rpm macros
* Mon Dec 11 2017 dimstar@opensuse.org
- Remove duplicate BuildArch: noarch: rpm 4.14 does not like this
  duplictae anymore (and it serves no purpose).
* Mon Aug  7 2017 werner@suse.de
- Readd a fixed version of DirnameCheck() for security
  that is allow access even if no path for the info files had
  been requested
* Mon Aug  7 2017 werner@suse.de
- Avoid DirnameCheck() as it breaks the info2html (boo#1052383)
- Avoid $* asignment with newer perl
* Thu Nov 18 2010 werner@suse.de
- Yet an other change of the decription
* Mon Nov 15 2010 werner@suse.de
- Change decription to reflect current usage of info2html (bnc#653449)
* Mon Dec 17 2007 werner@suse.de
- Add info3html.css to file list (bug #349033)
* Wed Aug 30 2006 werner@suse.de
- Update to version 2.0
  * Output HTML is tidier now. CSS added.
  * Minor bugfixes to the (de)escaping logic.
  * Minor typoes in comments fixed.
* Fri Jul 14 2006 olh@suse.de
- rename bzip2 archive from .gz to .bz2
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 17 2005 werner@suse.de
- Add infocat script to cgi path (bug #127813)
* Tue Oct 11 2005 dmueller@suse.de
- build as nonroot
* Wed Jun  8 2005 werner@suse.de
- Go forwared to version 1.4 and port our patches to
* Fri Apr 22 2005 werner@suse.de
- Avoid to be used with XSS attacks (bug #78956)
* Sun Apr 18 2004 ro@suse.de
- build with apache2
* Tue Jun 17 2003 kukuk@suse.de
- Remove directories already part of filesystem
- Rename to info2html
- Make a noarch package
* Wed Apr 16 2003 coolo@suse.de
- use BuildRoot
* Thu Aug  1 2002 ro@suse.de
- adapt server-root
* Tue Mar 19 2002 ro@suse.de
- removed requires http_daemon, since the script can be called
  directly (konqueror knows "info:" url-type)
* Wed Feb 20 2002 werner@suse.de
- Fix bug #13659: allow ++ in base names
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Mon Jun 26 2000 ro@suse.de
- adapted to susehelp color layout
* Tue Feb 22 2000 werner@suse.de
- Make spaces (equal to %%20i) between base info file and node name
  working (e.g. a2ps)
* Tue Feb 22 2000 ro@suse.de
- added /usr/share/xemacs/info
* Sat Feb 12 2000 ro@suse.de
- added /usr/share/info
* Mon Sep 20 1999 ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Dec  3 1998 werner@suse.de
- Do not allow relative paths
  - Do not allow other directories than those of the info path
* Wed May 28 1997 werner@suse.de
  moved /httpd to /usr/local/httpd
* Fri Mar 21 1997 werner@suse.de
- New package info2html version 1.1
  made some extensions to read tags too.
